<?php
/**
 * Plugin plxModeDemo
 * @author	Stephane F
 **/
class plxModeDemo extends plxPlugin {

	/**
	 * Constructeur de la classe
	 *
	 * @param	default_lang	langue par défaut
	 * @return	stdio
	 * @author	Stephane F
	 **/
	public function __construct($default_lang) {

		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# déclaration des hooks
		$this->addHook('AdminPrepend', 'lock');
		$this->addHook('AdminAuth', 'AdminAuth');
		$this->addHook('plxMotorNewCommentaire', 'plxMotorNewCommentaire');
	}

    public function lock() {

		echo '<?php
			if(!empty($_POST) AND basename($_SERVER["SCRIPT_NAME"])!="auth.php") {
			
				$url = parse_url($_SERVER["HTTP_REFERER"]);
				if(isset($url["query"]))
					$redirect = $plxAdmin->racine."core/admin/".basename($_SERVER["SCRIPT_NAME"])."?".$url["query"];
				else
					$redirect = $plxAdmin->racine."core/admin/".basename($_SERVER["SCRIPT_NAME"]);
							
				plxMsg::Error("Fonction vérouillée");
				header("Location: $redirect");
				exit;
			}
			return true;

		?>';

    }

    public function AdminAuth() {

		echo '
			<p style="text-align:left">
				Login de connexion: <strong>demo</strong><br />
				Mot de passe: <strong>demo</strong><br />
			</p>
		';

	}

    public function plxMotorNewCommentaire() {

		echo "<?php	
			return true;
		?>
		";
		
	}

}
?>